Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 312597 - Please review Prefix changes for Haskell ebuilds
Summary: Please review Prefix changes for Haskell ebuilds
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on: 312595
Blocks: prefix-gx86
  Show dependency tree
 
Reported: 2010-04-01 11:32 UTC by Fabian Groffen
Modified: 2012-11-22 05:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Groffen gentoo-dev 2010-04-01 11:32:59 UTC
The following changes are neccessary to make the respective ebuilds Prefix aware.  A bump to EAPI=3 for that is necessary.

--- dev-haskell/gtk2hs/gtk2hs-0.10.1.ebuild 2010-03-31 04:36:03.000000000 +0200
+++ gtk2hs-0.10.1.ebuild        2010-04-01 12:46:30.589362000 +0200
@@ -71,27 +71,27 @@
 
        make install \
                DESTDIR="${D}" \
-               htmldir="/usr/share/doc/${PF}/html" \
-               haddockifacedir="/usr/share/doc/${PF}" \
+               htmldir="${EPREFIX}/usr/share/doc/${PF}/html" \
+               haddockifacedir="${EPREFIX}/usr/share/doc/${PF}" \
                || die "Make install failed"
 
        # arrange for the packages to be registered
        ghc-setup-pkg \
-               "${D}/usr/$(get_libdir)/gtk2hs/glib.package.conf" \
+               "${ED}/usr/$(get_libdir)/gtk2hs/glib.package.conf" \
                $(has_version '>=x11-libs/gtk+-2.8' && echo \
-                       "${D}/usr/$(get_libdir)/gtk2hs/cairo.package.conf") \
-               "${D}/usr/$(get_libdir)/gtk2hs/gtk.package.conf" \
-               "${D}/usr/$(get_libdir)/gtk2hs/soegtk.package.conf" \
+                       "${ED}/usr/$(get_libdir)/gtk2hs/cairo.package.conf") \
+               "${ED}/usr/$(get_libdir)/gtk2hs/gtk.package.conf" \
+               "${ED}/usr/$(get_libdir)/gtk2hs/soegtk.package.conf" \
                $(use glade || use gnome && echo \
-                       "${D}/usr/$(get_libdir)/gtk2hs/glade.package.conf") \
+                       "${ED}/usr/$(get_libdir)/gtk2hs/glade.package.conf") \
                $(use gnome && echo \
-                       "${D}/usr/$(get_libdir)/gtk2hs/gconf.package.conf" \
-                       "${D}/usr/$(get_libdir)/gtk2hs/gtksourceview2.package.conf" ) \
+                       "${ED}/usr/$(get_libdir)/gtk2hs/gconf.package.conf" \
+                       "${ED}/usr/$(get_libdir)/gtk2hs/gtksourceview2.package.conf" ) \
                $(use svg && echo \
-                       "${D}/usr/$(get_libdir)/gtk2hs/svgcairo.package.conf") \
+                       "${ED}/usr/$(get_libdir)/gtk2hs/svgcairo.package.conf") \
                $(use opengl && echo \
-                       "${D}/usr/$(get_libdir)/gtk2hs/gtkglext.package.conf") \
+                       "${ED}/usr/$(get_libdir)/gtk2hs/gtkglext.package.conf") \
                $(use xulrunner && echo \
-                       "${D}/usr/$(get_libdir)/gtk2hs/mozembed.package.conf")
+                       "${ED}/usr/$(get_libdir)/gtk2hs/mozembed.package.conf")
        ghc-install-pkg
 }

--- dev-haskell/haddock/haddock-2.6.0.ebuild        2010-03-31 04:36:03.000000000 +0200
+++ haddock-2.6.0.ebuild        2010-04-01 12:50:03.569599000 +0200
@@ -4,7 +4,7 @@
 
 CABAL_FEATURES="bin lib"
 # don't enable profiling as the 'ghc' package is not built with profiling
-inherit haskell-cabal autotools
+inherit haskell-cabal autotools eutils prefix
 
 DESCRIPTION="A documentation-generation tool for Haskell libraries"
 HOMEPAGE="http://www.haskell.org/haddock/"
@@ -54,8 +54,10 @@
          -i "${S}/src/GHC/Paths.hs"
 
        if use doc; then
-         cd "${S}/doc"
-         eautoreconf
+               cd "${S}/doc"
+               epatch "${FILESDIR}"/${PN}-0.8-prefix.patch
+               eprefixify configure.ac
+               eautoreconf
        fi
 
 }
@@ -64,7 +66,7 @@
        cabal_src_compile
        if use doc; then
                cd "${S}/doc"
-               ./configure --prefix="${D}/usr/" \
+               ./configure --prefix="${ED}/usr/" \
                        || die 'error configuring documentation.'
                emake html || die 'error building documentation.'
        fi

http://overlays.gentoo.org/proj/alt/browser/trunk/prefix-overlay/dev-haskell/haddock/files/haddock-0.8-prefix.patch


--- dev-haskell/hashed-storage/hashed-storage-0.4.10.ebuild2010-03-28 19:31:50.000000000 +0200
+++ hashed-storage-0.4.10.ebuild        2010-04-01 10:56:12.583935000 +0200
@@ -36,6 +36,6 @@
 src_install() {
        cabal_src_install
 
-       rm "${D}/usr/bin/hashed-storage-test" 2> /dev/null
-       rmdir "${D}/usr/bin" 2> /dev/null # only if empty
+       rm "${ED}/usr/bin/hashed-storage-test" 2> /dev/null
+       rmdir "${ED}/usr/bin" 2> /dev/null # only if empty
 }


--- dev-haskell/hunit/hunit-1.2.2.1.ebuild  2009-12-16 01:35:46.000000000 +0100
+++ hunit-1.2.2.1.ebuild        2009-12-28 17:26:49.000000000 +0100
@@ -35,5 +35,5 @@
        cabal_src_install
 
        # remove hunit self-tests, we don't want to install them
-       rm -rf "${D}/usr/bin"
+       rm -rf "${ED}/usr/bin"
 }


This last ebuild is related to bug #227677, it needs to be fixed before I can keyword it (ghc-6.10.4 is compiling/running on ppc-macos here)

--- dev-haskell/darcs/darcs-2.4.ebuild    28 Mar 2010 21:40:12 -0000      1.1
+++ darcs-2.4.ebuild    1 Apr 2010 10:57:23 -0000
@@ -91,7 +91,7 @@
        dobashcompletion "${S}/contrib/darcs_completion" "${PN}"
 
        # fixup perms in such an an awkward way
-       mv "${D}/usr/share/man/man1/darcs.1" "${S}/darcs.1" || die "darcs.1 not found"
+       mv "${ED}/usr/share/man/man1/darcs.1" "${S}/darcs.1" || die "darcs.1 not found"
        doman "${S}/darcs.1" || die "failed to register darcs.1 as a manpage"
 }


Please review the changes and raise concerns, if any ;)  We can make revbumps for each of these ebuilds for EAPI=3, or just update inplace.  I prefer to make a revump for haddock in any case due to the patch that has to be added.

Thanks.
Comment 1 Christoph Junghans gentoo-dev 2012-11-20 20:19:06 UTC
Update:

(In reply to comment #0)
> --- dev-haskell/gtk2hs/gtk2hs-0.10.1.ebuild 2010-03-31 04:36:03.000000000
dead
> --- dev-haskell/haddock/haddock-2.6.0.ebuild        2010-03-31
merged by me keywords only (20 Aug 2012)
> --- dev-haskell/hashed-storage/hashed-storage-0.4.10.ebuild2010-03-28
One ${D} -> ${ED} still missing
> --- dev-haskell/hunit/hunit-1.2.2.1.ebuild  2009-12-16 01:35:46.000000000
merged by me keywords only (20 Aug 2012)
> --- dev-haskell/darcs/darcs-2.4.ebuild    28 Mar 2010 21:40:12 -0000      1.1
now dev-vcs/darcs, merged by slyfox (09 Aug 2012)
Comment 2 Christoph Junghans gentoo-dev 2012-11-22 05:12:20 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > --- dev-haskell/hashed-storage/hashed-storage-0.4.10.ebuild2010-03-28
> One ${D} -> ${ED} still missing
Fixed.